<?php
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################


require'config.php';


$W = intval($_GET['W']);
$H = intval($_GET['H']);
$video = intval($_GET['video']);

$file_info = mysql_fetch_row($db->sql_query('SELECT TRIM(`adres`) FROM `video` WHERE `id` = '.$video.' LIMIT 1'));
$adres = "files/video/".$file_info[0]."";
$pic = urldecode(htmlspecialchars($adres));

if(substr($pic,0,1) != '.'){

$mov = new ffmpeg_movie($pic, false);
$wn = $mov->GetFrameWidth();
$hn = $mov->GetFrameHeight();

$frame = $mov->getFrame(3);

$gd = $frame->toGDImage();

if(!$W and !$H)
{
$size = explode('*',80);
$W = round(intval($size[0])); // ширина картинки
$H = round(intval($size[1])); // высота картинки
}
$new = imageCreateTrueColor($W, $H);
imagecopyResized($new, $gd, 0, 0, 0, 0, $W, $H, $wn, $hn);
imageGif($new,null,100);

}
?>